Bug 93263 - 945GM regression since 4.3
Summary: 945GM regression since 4.3
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: high critical
Assignee: Carsten Mattner
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords: bisect_pending, regression
Depends on:
Blocks:
 
Reported: 2015-12-05 17:55 UTC by Carsten Mattner
Modified: 2017-07-24 23:16 UTC (History)
3 users (show)

See Also:
i915 platform: I945GM
i915 features: display/atomic


Attachments
kernel warnings (22.68 KB, text/plain)
2016-02-03 08:04 UTC, arne_woerner
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Carsten Mattner 2015-12-05 17:55:50 UTC
cpu: amd64 Core 2 Duo T5600
distro: Arch Linux
display connector: DVI

I'm seeing WARN_ON() and other errors on Intel 945GM since the release
of 4.3. The following dmesg output is from 4.4-rc3. Since 4.4 is going
to be the next LTS, I'll have to upgrade to that even on a stable-only
distro, so it's important to fix the regression. 4.2.6 is fine, thus
it must have slipped in somewhere in the 4.3 release cycle.

I tried the patch
(https://bugs.freedesktop.org/attachment.cgi?id=119541) from 92655 and
it didn't fix the errors. I open this bug because I don't see
corruption as reported in 92655 and 92879. Feel free to close as
duplicate if I'm wrong.

agpgart-intel 0000:00:00.0: Intel 945GM Chipset
agpgart-intel 0000:00:00.0: detected gtt size: 262144K total, 262144K mappable
agpgart-intel 0000:00:00.0: detected 16384K stolen memory
agpgart-intel 0000:00:00.0: AGP aperture is 256M @ 0x80000000

------------[ cut here ]------------
WARNING: CPU: 1 PID: 236 at drivers/gpu/drm/i915/intel_display.c:1407
assert_planes_disabled+0xf8/0x130 [i915]()
plane A assertion failure, should be off on pipe A but is still active
 0000000000000000 00000000c1c09f69 ffffffffa229c50e ffff88007a03b788
 ffffffffa2047083 ffff880079e30000 ffff88007a03b7e0 0000000000000041
 0000000000000041 ffff880079e30030 ffffffffa2047107 ffffffffc06380a8
Call Trace:
 [<ffffffffa229c50e>] ? dump_stack+0x47/0x69
 [<ffffffffa2047083>] ? warn_slowpath_common+0x73/0xa0
 [<ffffffffa2047107>] ? warn_slowpath_fmt+0x57/0x70
 [<ffffffffc05c1fc8>] ? assert_planes_disabled+0xf8/0x130 [i915]
 [<ffffffffc05cbab1>] ? intel_disable_pipe+0x41/0x280 [i915]
 [<ffffffffc05cedc0>] ? i9xx_crtc_disable+0x70/0x420 [i915]
 [<ffffffffc05d3b8b>] ? intel_crtc_disable_noatomic+0x5b/0xd0 [i915]
 [<ffffffffc05dafb6>] ? intel_modeset_setup_hw_state+0xaa6/0xd60 [i915]
 [<ffffffffc05dcd3d>] ? intel_modeset_init+0xa7d/0x19f0 [i915]
 [<ffffffffc057bcf6>] ? i915_irq_postinstall+0xf6/0x100 [i915]
 [<ffffffffc0614015>] ? i915_driver_load+0xcc5/0x15f0 [i915]
 [<ffffffffa2079b0f>] ? __wake_up+0x2f/0x50
 [<ffffffffa23d726f>] ? netlink_broadcast_filtered+0x12f/0x3d0
 [<ffffffffa229f520>] ? kobj_ns_drop+0x50/0x50
 [<ffffffffa229f7aa>] ? kobject_uevent_env+0xfa/0x3b0
 [<ffffffffa235b020>] ? device_add+0x160/0x590
 [<ffffffffc04f0b57>] ? drm_dev_register+0x97/0xa0 [drm]
 [<ffffffffc04f28f6>] ? drm_get_pci_dev+0xc6/0x1d0 [drm]
 [<ffffffffa22ce83c>] ? pci_device_probe+0x7c/0xe0
 [<ffffffffa235dfc2>] ? driver_probe_device+0x1e2/0x2f0
 [<ffffffffa235e146>] ? __driver_attach+0x76/0x80
 [<ffffffffa235e0d0>] ? driver_probe_device+0x2f0/0x2f0
 [<ffffffffa235bfe2>] ? bus_for_each_dev+0x62/0xb0
 [<ffffffffa235d50a>] ? bus_add_driver+0x19a/0x210
 [<ffffffffc065c000>] ? 0xffffffffc065c000
 [<ffffffffa235e5a2>] ? driver_register+0x52/0xc0
 [<ffffffffa2000390>] ? do_one_initcall+0x90/0x1e0
 [<ffffffffa20ca07d>] ? do_init_module+0x51/0x1d4
 [<ffffffffa20a60b3>] ? load_module+0x1f53/0x2320
 [<ffffffffa20a2e20>] ? show_taint+0x20/0x20
 [<ffffffffa20a6597>] ? SyS_init_module+0x117/0x130
 [<ffffffffa2449897>] ? entry_SYSCALL_64_fastpath+0x12/0x6a
---[ end trace e17c7b01b4d5395c ]---

[drm] initialized overlay support
[drm] Initialized i915 1.6.0 20151010 for 0000:00:02.0 on minor 0

------------[ cut here ]------------
WARNING: CPU: 0 PID: 6 at drivers/gpu/drm/i915/intel_display.c:11633
intel_plane_atomic_calc_changes+0x569/0x6d0 [i915]()
WARN_ON(was_visible)
Workqueue: events_unbound async_run_entry_fn
 0000000000000000 00000000431c4100 ffffffffa229c50e ffff88007acc7998
 ffffffffa2047083 0000000000000001 ffff88007acc79f0 ffff88007a3ec300
 0000000000000001 ffff880079991400 ffffffffa2047107 ffffffffc062d667
Call Trace:
 [<ffffffffa229c50e>] ? dump_stack+0x47/0x69
 [<ffffffffa2047083>] ? warn_slowpath_common+0x73/0xa0
 [<ffffffffa2047107>] ? warn_slowpath_fmt+0x57/0x70
 [<ffffffffc05dbd89>] ? intel_plane_atomic_calc_changes+0x569/0x6d0 [i915]
 [<ffffffffc055c207>] ? drm_plane_helper_check_update+0xd7/0x180 [drm_kms_helper]
 [<ffffffffc05cb2cd>] ? intel_check_primary_plane+0x6d/0xb0 [i915]
 [<ffffffffc05636df>] ? drm_atomic_helper_check_planes+0x3f/0x1b0 [drm_kms_helper]
 [<ffffffffc0504fb0>] ? drm_atomic_check_only+0x190/0x580 [drm]
 [<ffffffffc05045bc>] ? drm_atomic_set_crtc_for_plane+0x6c/0xe0 [drm]
 [<ffffffffc0505463>] ? drm_atomic_set_fb_for_plane+0x23/0x80 [drm]
 [<ffffffffc05053ad>] ? drm_atomic_commit+0xd/0x50 [drm]
 [<ffffffffc05da24c>] ? intel_get_load_detect_pipe+0x3dc/0x550 [i915]
 [<ffffffffc06123f8>] ? intel_tv_detect+0x138/0x5d0 [i915]
 [<ffffffffc055bae4>] ?
 drm_helper_probe_single_connector_modes_merge_bits+0x214/0x480
 [drm_kms_helper]
 [<ffffffffc0567197>] ? drm_fb_helper_initial_config+0xa7/0xf10 [drm_kms_helper]
 [<ffffffffa206199f>] ? async_run_entry_fn+0x2f/0xd0
 [<ffffffffa205a76d>] ? process_one_work+0x11d/0x340
 [<ffffffffa205a9d5>] ? worker_thread+0x45/0x420
 [<ffffffffa205a990>] ? process_one_work+0x340/0x340
 [<ffffffffa205fab8>] ? kthread+0xc8/0xe0
 [<ffffffffa205f9f0>] ? kthread_worker_fn+0x150/0x150
 [<ffffffffa2449bdf>] ? ret_from_fork+0x3f/0x70
 [<ffffffffa205f9f0>] ? kthread_worker_fn+0x150/0x150
---[ end trace e17c7b01b4d5395d ]---

------------[ cut here ]------------
WARNING: CPU: 0 PID: 6 at drivers/gpu/drm/i915/intel_display.c:1407
assert_planes_disabled+0xf8/0x130 [i915]()
plane A assertion failure, should be off on pipe A but is still active
Workqueue: events_unbound async_run_entry_fn
 0000000000000000 00000000431c4100 ffffffffa229c50e ffff88007acc7980
 ffffffffa2047083 ffff880079e30000 ffff88007acc79d8 0000000000000041
 0000000000000041 ffff880079e30030 ffffffffa2047107 ffffffffc06380a8
Call Trace:
 [<ffffffffa229c50e>] ? dump_stack+0x47/0x69
 [<ffffffffa2047083>] ? warn_slowpath_common+0x73/0xa0
 [<ffffffffa2047107>] ? warn_slowpath_fmt+0x57/0x70
 [<ffffffffc0611e26>] ? intel_tv_pre_enable+0x6a6/0x760 [i915]
 [<ffffffffc05c1fc8>] ? assert_planes_disabled+0xf8/0x130 [i915]
 [<ffffffffc05cde67>] ? intel_enable_pipe+0x47/0x230 [i915]
 [<ffffffffc05d7139>] ? i9xx_crtc_enable+0x2c9/0x430 [i915]
 [<ffffffffc05d45a1>] ? intel_atomic_commit+0x461/0x12c0 [i915]
 [<ffffffffc0504fb0>] ? drm_atomic_check_only+0x190/0x580 [drm]
 [<ffffffffc05045bc>] ? drm_atomic_set_crtc_for_plane+0x6c/0xe0 [drm]
 [<ffffffffc0505463>] ? drm_atomic_set_fb_for_plane+0x23/0x80 [drm]
 [<ffffffffc05da24c>] ? intel_get_load_detect_pipe+0x3dc/0x550 [i915]
 [<ffffffffc06123f8>] ? intel_tv_detect+0x138/0x5d0 [i915]
 [<ffffffffc055bae4>] ?
 drm_helper_probe_single_connector_modes_merge_bits+0x214/0x480
 [drm_kms_helper]
 [<ffffffffc0567197>] ? drm_fb_helper_initial_config+0xa7/0xf10 [drm_kms_helper]
 [<ffffffffa206199f>] ? async_run_entry_fn+0x2f/0xd0
 [<ffffffffa205a76d>] ? process_one_work+0x11d/0x340
 [<ffffffffa205a9d5>] ? worker_thread+0x45/0x420
 [<ffffffffa205a990>] ? process_one_work+0x340/0x340
 [<ffffffffa205fab8>] ? kthread+0xc8/0xe0
 [<ffffffffa205f9f0>] ? kthread_worker_fn+0x150/0x150
 [<ffffffffa2449bdf>] ? ret_from_fork+0x3f/0x70
 [<ffffffffa205f9f0>] ? kthread_worker_fn+0x150/0x150
---[ end trace e17c7b01b4d5395e ]---

------------[ cut here ]------------
WARNING: CPU: 0 PID: 6 at drivers/gpu/drm/i915/intel_display.c:12659
intel_atomic_commit+0xb7c/0x12c0 [i915]()
encoder's enabled state mismatch (expected 0, found 1)
Workqueue: events_unbound async_run_entry_fn
 0000000000000000 00000000431c4100 ffffffffa229c50e ffff88007acc7a20
 ffffffffa2047083 ffff880079ba4b18 ffff88007acc7a78 ffff880079ba4b48
 ffff880079ba4b30 ffff880079ba4800 ffffffffa2047107 ffffffffc063acb8
Call Trace:
 [<ffffffffa229c50e>] ? dump_stack+0x47/0x69
 [<ffffffffa2047083>] ? warn_slowpath_common+0x73/0xa0
 [<ffffffffa2047107>] ? warn_slowpath_fmt+0x57/0x70
 [<ffffffffc05ee25d>] ? intel_crt_get_hw_state+0x4d/0x90 [i915]
 [<ffffffffc05d4cbc>] ? intel_atomic_commit+0xb7c/0x12c0 [i915]
 [<ffffffffc0504fb0>] ? drm_atomic_check_only+0x190/0x580 [drm]
 [<ffffffffc05045bc>] ? drm_atomic_set_crtc_for_plane+0x6c/0xe0 [drm]
 [<ffffffffc0505463>] ? drm_atomic_set_fb_for_plane+0x23/0x80 [drm]
 [<ffffffffc05da24c>] ? intel_get_load_detect_pipe+0x3dc/0x550 [i915]
 [<ffffffffc06123f8>] ? intel_tv_detect+0x138/0x5d0 [i915]
 [<ffffffffc055bae4>] ?
 drm_helper_probe_single_connector_modes_merge_bits+0x214/0x480
 [drm_kms_helper]
 [<ffffffffc0567197>] ? drm_fb_helper_initial_config+0xa7/0xf10 [drm_kms_helper]
 [<ffffffffa206199f>] ? async_run_entry_fn+0x2f/0xd0
 [<ffffffffa205a76d>] ? process_one_work+0x11d/0x340
 [<ffffffffa205a9d5>] ? worker_thread+0x45/0x420
 [<ffffffffa205a990>] ? process_one_work+0x340/0x340
 [<ffffffffa205fab8>] ? kthread+0xc8/0xe0
 [<ffffffffa205f9f0>] ? kthread_worker_fn+0x150/0x150
 [<ffffffffa2449bdf>] ? ret_from_fork+0x3f/0x70
 [<ffffffffa205f9f0>] ? kthread_worker_fn+0x150/0x150
---[ end trace e17c7b01b4d5395f ]---

------------[ cut here ]------------
WARNING: CPU: 1 PID: 6 at drivers/gpu/drm/i915/intel_display.c:1407
assert_planes_disabled+0xf8/0x130 [i915]()
plane A assertion failure, should be off on pipe A but is still active
Workqueue: events_unbound async_run_entry_fn
 0000000000000000 00000000431c4100 ffffffffa229c50e ffff88007acc79c8
 ffffffffa2047083 ffff880079e30000 ffff88007acc7a20 0000000000000041
 0000000000000041 ffff880079e30030 ffffffffa2047107 ffffffffc06380a8
Call Trace:
 [<ffffffffa229c50e>] ? dump_stack+0x47/0x69
 [<ffffffffa2047083>] ? warn_slowpath_common+0x73/0xa0
 [<ffffffffa2047107>] ? warn_slowpath_fmt+0x57/0x70
 [<ffffffffc05c1fc8>] ? assert_planes_disabled+0xf8/0x130 [i915]
 [<ffffffffc05cbab1>] ? intel_disable_pipe+0x41/0x280 [i915]
 [<ffffffffc05cedc0>] ? i9xx_crtc_disable+0x70/0x420 [i915]
 [<ffffffffc05d425b>] ? intel_atomic_commit+0x11b/0x12c0 [i915]
 [<ffffffffc0504fb0>] ? drm_atomic_check_only+0x190/0x580 [drm]
 [<ffffffffc0504588>] ? drm_atomic_set_crtc_for_plane+0x38/0xe0 [drm]
 [<ffffffffc0505456>] ? drm_atomic_set_fb_for_plane+0x16/0x80 [drm]
 [<ffffffffc05da4cd>] ? intel_release_load_detect_pipe+0x10d/0x150 [i915]
 [<ffffffffc06125ed>] ? intel_tv_detect+0x32d/0x5d0 [i915]
 [<ffffffffc055bae4>] ?
 drm_helper_probe_single_connector_modes_merge_bits+0x214/0x480
 [drm_kms_helper]
 [<ffffffffc0567197>] ? drm_fb_helper_initial_config+0xa7/0xf10 [drm_kms_helper]
 [<ffffffffa206199f>] ? async_run_entry_fn+0x2f/0xd0
 [<ffffffffa205a76d>] ? process_one_work+0x11d/0x340
 [<ffffffffa205a9d5>] ? worker_thread+0x45/0x420
 [<ffffffffa205a990>] ? process_one_work+0x340/0x340
 [<ffffffffa205fab8>] ? kthread+0xc8/0xe0
 [<ffffffffa205f9f0>] ? kthread_worker_fn+0x150/0x150
 [<ffffffffa2449bdf>] ? ret_from_fork+0x3f/0x70
 [<ffffffffa205f9f0>] ? kthread_worker_fn+0x150/0x150
---[ end trace e17c7b01b4d53960 ]---

------------[ cut here ]------------
WARNING: CPU: 1 PID: 6 at drivers/gpu/drm/i915/intel_display.c:12659
intel_atomic_commit+0xb7c/0x12c0 [i915]()
encoder's enabled state mismatch (expected 0, found 1)
Workqueue: events_unbound async_run_entry_fn
 0000000000000000 00000000431c4100 ffffffffa229c50e ffff88007acc7a70
 ffffffffa2047083 ffff880079ba4b18 ffff88007acc7ac8 ffff880079ba4b48
 ffff880079ba4b30 ffff880079ba4800 ffffffffa2047107 ffffffffc063acb8
Call Trace:
 [<ffffffffa229c50e>] ? dump_stack+0x47/0x69
 [<ffffffffa2047083>] ? warn_slowpath_common+0x73/0xa0
 [<ffffffffa2047107>] ? warn_slowpath_fmt+0x57/0x70
 [<ffffffffc05ee25d>] ? intel_crt_get_hw_state+0x4d/0x90 [i915]
 [<ffffffffc05d4cbc>] ? intel_atomic_commit+0xb7c/0x12c0 [i915]
 [<ffffffffc0504fb0>] ? drm_atomic_check_only+0x190/0x580 [drm]
 [<ffffffffc0504588>] ? drm_atomic_set_crtc_for_plane+0x38/0xe0 [drm]
 [<ffffffffc0505456>] ? drm_atomic_set_fb_for_plane+0x16/0x80 [drm]
 [<ffffffffc05da4cd>] ? intel_release_load_detect_pipe+0x10d/0x150 [i915]
 [<ffffffffc06125ed>] ? intel_tv_detect+0x32d/0x5d0 [i915]
 [<ffffffffc055bae4>] ?
 drm_helper_probe_single_connector_modes_merge_bits+0x214/0x480
 [drm_kms_helper]
 [<ffffffffc0567197>] ? drm_fb_helper_initial_config+0xa7/0xf10 [drm_kms_helper]
 [<ffffffffa206199f>] ? async_run_entry_fn+0x2f/0xd0
 [<ffffffffa205a76d>] ? process_one_work+0x11d/0x340
 [<ffffffffa205a9d5>] ? worker_thread+0x45/0x420
 [<ffffffffa205a990>] ? process_one_work+0x340/0x340
 [<ffffffffa205fab8>] ? kthread+0xc8/0xe0
 [<ffffffffa205f9f0>] ? kthread_worker_fn+0x150/0x150
 [<ffffffffa2449bdf>] ? ret_from_fork+0x3f/0x70
 [<ffffffffa205f9f0>] ? kthread_worker_fn+0x150/0x150
---[ end trace e17c7b01b4d53961 ]---

------------[ cut here ]------------
WARNING: CPU: 1 PID: 6 at drivers/gpu/drm/i915/intel_fbdev.c:406
intel_fb_initial_config+0x33d/0x6b0 [i915]()
WARN_ON(!encoder->crtc)
Workqueue: events_unbound async_run_entry_fn
 0000000000000000 00000000431c4100 ffffffffa229c50e ffff88007acc7be8
 ffffffffa2047083 0000000000000001 ffff88007acc7c40 ffff880079ee4791
 ffff88007a04e400 0000000000000001 ffffffffa2047107 ffffffffc062ede9
Call Trace:
 [<ffffffffa229c50e>] ? dump_stack+0x47/0x69
 [<ffffffffa2047083>] ? warn_slowpath_common+0x73/0xa0
 [<ffffffffa2047107>] ? warn_slowpath_fmt+0x57/0x70
 [<ffffffffa2110810>] ? __kmalloc+0xe0/0xf0
 [<ffffffffc05e9f8d>] ? intel_fb_initial_config+0x33d/0x6b0 [i915]
 [<ffffffffc0566705>] ? drm_setup_crtcs+0x265/0xa80 [drm_kms_helper]
 [<ffffffffc055ba5a>] ? drm_helper_probe_single_connector_modes_merge_bits+0x18a/0x480 [drm_kms_helper]
 [<ffffffffc05671b8>] ? drm_fb_helper_initial_config+0xc8/0xf10 [drm_kms_helper]
 [<ffffffffa206199f>] ? async_run_entry_fn+0x2f/0xd0
 [<ffffffffa205a76d>] ? process_one_work+0x11d/0x340
 [<ffffffffa205a9d5>] ? worker_thread+0x45/0x420
 [<ffffffffa205a990>] ? process_one_work+0x340/0x340
 [<ffffffffa205fab8>] ? kthread+0xc8/0xe0
 [<ffffffffa205f9f0>] ? kthread_worker_fn+0x150/0x150
 [<ffffffffa2449bdf>] ? ret_from_fork+0x3f/0x70
 [<ffffffffa205f9f0>] ? kthread_worker_fn+0x150/0x150
---[ end trace e17c7b01b4d53962 ]---

------------[ cut here ]------------
WARNING: CPU: 1 PID: 6 at drivers/gpu/drm/drm_atomic_helper.c:682
drm_atomic_helper_update_legacy_modeset_state+0x225/0x240 [drm_kms_helper]()
Workqueue: events_unbound async_run_entry_fn
 0000000000000000 00000000431c4100 ffffffffa229c50e 0000000000000000
 ffffffffa2047083 ffff88007afe0600 ffff88007ad9d800 0000000000000001
 ffff880079ba4800 ffff880079945080 ffffffffc0562575 0000000000000000
Call Trace:
 [<ffffffffa229c50e>] ? dump_stack+0x47/0x69
 [<ffffffffa2047083>] ? warn_slowpath_common+0x73/0xa0
 [<ffffffffc0562575>] ?
 drm_atomic_helper_update_legacy_modeset_state+0x225/0x240 [drm_kms_helper]
 [<ffffffffc05d4d83>] ? intel_atomic_commit+0xc43/0x12c0 [i915]
 [<ffffffffc0504fb0>] ? drm_atomic_check_only+0x190/0x580 [drm]
 [<ffffffffc0504d5d>] ? drm_atomic_add_affected_connectors+0x1d/0xe0 [drm]
 [<ffffffffc0564ece>] ? restore_fbdev_mode+0x21e/0x250 [drm_kms_helper]
 [<ffffffffc0503e12>] ? drm_modeset_lock_all_crtcs+0x82/0x90 [drm]
 [<ffffffffc0567059>] ? drm_fb_helper_restore_fbdev_mode_unlocked+0x29/0x70
 [drm_kms_helper]
 [<ffffffffc05670c4>] ? drm_fb_helper_set_par+0x24/0x50 [drm_kms_helper]
 [<ffffffffc05ea3d1>] ? intel_fbdev_set_par+0x11/0x60 [i915]
 [<ffffffffa22e7b78>] ? fbcon_init+0x548/0x5d0
 [<ffffffffa2348bce>] ? visual_init+0xbe/0x120
 [<ffffffffa234a5f9>] ? do_bind_con_driver+0x1d9/0x420
 [<ffffffffa234ab76>] ? do_take_over_console+0x136/0x190
 [<ffffffffa22e7c4e>] ? do_fbcon_takeover+0x4e/0xa0
 [<ffffffffa2060590>] ? notifier_call_chain+0x40/0x60
 [<ffffffffa206083c>] ? __blocking_notifier_call_chain+0x3c/0x60
 [<ffffffffa22f2f2b>] ? register_framebuffer+0x1eb/0x310
 [<ffffffffc0567383>] ? drm_fb_helper_initial_config+0x293/0xf10
 [drm_kms_helper]
 [<ffffffffa206199f>] ? async_run_entry_fn+0x2f/0xd0
 [<ffffffffa205a76d>] ? process_one_work+0x11d/0x340
 [<ffffffffa205a9d5>] ? worker_thread+0x45/0x420
 [<ffffffffa205a990>] ? process_one_work+0x340/0x340
 [<ffffffffa205fab8>] ? kthread+0xc8/0xe0
 [<ffffffffa205f9f0>] ? kthread_worker_fn+0x150/0x150
 [<ffffffffa2449bdf>] ? ret_from_fork+0x3f/0x70
 [<ffffffffa205f9f0>] ? kthread_worker_fn+0x150/0x150
---[ end trace e17c7b01b4d53963 ]---

[drm] Setting output timings on SDVOB failed

------------[ cut here ]------------
WARNING: CPU: 1 PID: 6 at drivers/gpu/drm/i915/intel_display.c:1407
assert_planes_disabled+0xf8/0x130 [i915]()
plane A assertion failure, should be off on pipe A but is still active
Workqueue: events_unbound async_run_entry_fn
 0000000000000000 00000000431c4100 ffffffffa229c50e ffff88007acc7930
 ffffffffa2047083 ffff880079e30000 ffff88007acc7988 0000000000000041
 0000000000000041 ffff880079e30030 ffffffffa2047107 ffffffffc06380a8
Call Trace:
 [<ffffffffa229c50e>] ? dump_stack+0x47/0x69
 [<ffffffffa2047083>] ? warn_slowpath_common+0x73/0xa0
 [<ffffffffa2047107>] ? warn_slowpath_fmt+0x57/0x70
 [<ffffffffc05c1fc8>] ? assert_planes_disabled+0xf8/0x130 [i915]
 [<ffffffffc05cde67>] ? intel_enable_pipe+0x47/0x230 [i915]
 [<ffffffffc05d7139>] ? i9xx_crtc_enable+0x2c9/0x430 [i915]
 [<ffffffffc05d45a1>] ? intel_atomic_commit+0x461/0x12c0 [i915]
 [<ffffffffc0504fb0>] ? drm_atomic_check_only+0x190/0x580 [drm]
 [<ffffffffc0504d5d>] ? drm_atomic_add_affected_connectors+0x1d/0xe0 [drm]
 [<ffffffffc0564ece>] ? restore_fbdev_mode+0x21e/0x250 [drm_kms_helper]
 [<ffffffffc0503e12>] ? drm_modeset_lock_all_crtcs+0x82/0x90 [drm]
 [<ffffffffc0567059>] ? drm_fb_helper_restore_fbdev_mode_unlocked+0x29/0x70
 [drm_kms_helper]
 [<ffffffffc05670c4>] ? drm_fb_helper_set_par+0x24/0x50 [drm_kms_helper]
 [<ffffffffc05ea3d1>] ? intel_fbdev_set_par+0x11/0x60 [i915]
 [<ffffffffa22e7b78>] ? fbcon_init+0x548/0x5d0
 [<ffffffffa2348bce>] ? visual_init+0xbe/0x120
 [<ffffffffa234a5f9>] ? do_bind_con_driver+0x1d9/0x420
 [<ffffffffa234ab76>] ? do_take_over_console+0x136/0x190
 [<ffffffffa22e7c4e>] ? do_fbcon_takeover+0x4e/0xa0
 [<ffffffffa2060590>] ? notifier_call_chain+0x40/0x60
 [<ffffffffa206083c>] ? __blocking_notifier_call_chain+0x3c/0x60
 [<ffffffffa22f2f2b>] ? register_framebuffer+0x1eb/0x310
 [<ffffffffc0567383>] ? drm_fb_helper_initial_config+0x293/0xf10
 [drm_kms_helper]
 [<ffffffffa206199f>] ? async_run_entry_fn+0x2f/0xd0
 [<ffffffffa205a76d>] ? process_one_work+0x11d/0x340
 [<ffffffffa205a9d5>] ? worker_thread+0x45/0x420
 [<ffffffffa205a990>] ? process_one_work+0x340/0x340
 [<ffffffffa205fab8>] ? kthread+0xc8/0xe0
 [<ffffffffa205f9f0>] ? kthread_worker_fn+0x150/0x150
 [<ffffffffa2449bdf>] ? ret_from_fork+0x3f/0x70
 [<ffffffffa205f9f0>] ? kthread_worker_fn+0x150/0x150
---[ end trace e17c7b01b4d53964 ]---

Console: switching to colour frame buffer device 160x64
i915 0000:00:02.0: fb0: inteldrmfb frame buffer device

------------[ cut here ]------------
WARNING: CPU: 0 PID: 83 at drivers/gpu/drm/i915/intel_display.c:11633
intel_plane_atomic_calc_changes+0x569/0x6d0 [i915]()
WARN_ON(was_visible)
Workqueue: events output_poll_execute [drm_kms_helper]
 0000000000000000 00000000d8f20d49 ffffffffa229c50e ffff88007de5b9a8
 ffffffffa2047083 0000000000000001 ffff88007de5ba00 ffff88007a461840
 0000000000000001 ffff88007add3800 ffffffffa2047107 ffffffffc062d667
Call Trace:
 [<ffffffffa229c50e>] ? dump_stack+0x47/0x69
 [<ffffffffa2047083>] ? warn_slowpath_common+0x73/0xa0
 [<ffffffffa2047107>] ? warn_slowpath_fmt+0x57/0x70
 [<ffffffffc05dbd89>] ? intel_plane_atomic_calc_changes+0x569/0x6d0 [i915]
 [<ffffffffc0504498>] ? drm_atomic_get_plane_state+0x28/0xe0 [drm]
 [<ffffffffc055c207>] ? drm_plane_helper_check_update+0xd7/0x180
 [drm_kms_helper]
 [<ffffffffc05cb2cd>] ? intel_check_primary_plane+0x6d/0xb0 [i915]
 [<ffffffffc05636df>] ? drm_atomic_helper_check_planes+0x3f/0x1b0
 [drm_kms_helper]
 [<ffffffffc0504fb0>] ? drm_atomic_check_only+0x190/0x580 [drm]
 [<ffffffffc05045bc>] ? drm_atomic_set_crtc_for_plane+0x6c/0xe0 [drm]
 [<ffffffffc0505463>] ? drm_atomic_set_fb_for_plane+0x23/0x80 [drm]
 [<ffffffffc05053ad>] ? drm_atomic_commit+0xd/0x50 [drm]
 [<ffffffffc05da24c>] ? intel_get_load_detect_pipe+0x3dc/0x550 [i915]
 [<ffffffffc06123f8>] ? intel_tv_detect+0x138/0x5d0 [i915]
 [<ffffffffc055bae4>] ?
 drm_helper_probe_single_connector_modes_merge_bits+0x214/0x480
 [drm_kms_helper]
 [<ffffffffc0566faa>] ? drm_fb_helper_hotplug_event+0x8a/0x110 [drm_kms_helper]
 [<ffffffffc055b7c6>] ? output_poll_execute+0x186/0x1d0 [drm_kms_helper]
 [<ffffffffa205a76d>] ? process_one_work+0x11d/0x340
 [<ffffffffa205a9d5>] ? worker_thread+0x45/0x420
 [<ffffffffa2001032>] ? ___preempt_schedule+0x12/0x14
 [<ffffffffa205a990>] ? process_one_work+0x340/0x340
 [<ffffffffa205a990>] ? process_one_work+0x340/0x340
 [<ffffffffa205fab8>] ? kthread+0xc8/0xe0
 [<ffffffffa205f9f0>] ? kthread_worker_fn+0x150/0x150
 [<ffffffffa2449bdf>] ? ret_from_fork+0x3f/0x70
 [<ffffffffa205f9f0>] ? kthread_worker_fn+0x150/0x150
---[ end trace e17c7b01b4d53965 ]---
Comment 1 Carsten Mattner 2015-12-24 19:36:02 UTC
Same with drm-intel-fixes-2015-12-23-1300-gec0382c.
Comment 2 Carsten Mattner 2016-01-11 19:30:23 UTC
Same with 4.4-rc8.

I should also add that I tried actually running X once and it didn't really work, but I didn't try again since the errors are still there.
Comment 3 arne_woerner 2016-02-03 08:04:52 UTC
Created attachment 121482 [details]
kernel warnings

I have the same problem on an Intel® Desktop Board D945GSEJT...
I do not even try to do complicated graphix things...
(I only use that box for text or even headless...)
-Arne
Comment 4 arne_woerner 2016-02-03 13:53:19 UTC
ehm?
is there a workaround beside buying some Olinuxino/FruitPi, that I am missing?
or why is this bug not a "blocker"?
I would prefer to use that board until it is physically impossible...
(and not just botched by some DRM nonsense... *giggle*)
-Arne
Comment 5 arne_woerner 2016-02-03 15:09:13 UTC
i found a workaround:

1. I created a file:
   -rw-r--r-- 1 root root 15 160203T1342 /etc/modprobe.d/gpu.conf
2. then i blacklisted i915
   blacklist i915

now i only see the normal messages in the journal... yay :)

-Arne
Comment 6 Carsten Mattner 2016-04-30 15:46:56 UTC
Same problem with 4.5.1 and 4.4.8. I have to manually build a 4.1 kernel and cannot update to most distros' stable or even LTS release (which is 4.4 now). What I thought would happen in 2016 has, and now it's impossible to use a default kernel because of the atomic regressions since 4.3.

What are the plans?

If 945GM is officially unsupported by i915, please let us know so that we can take appropriate measure, although I sometimes need newer features of current kernels, so it will be very hard if I don't want to ditch the machine in the bin.
Comment 7 arne_woerner 2016-04-30 16:22:46 UTC
4.6.0-1-MANJARO
works fine with my
mobile Intel ® 945GSE Express Chipset.

-Arne
Comment 8 Carsten Mattner 2016-04-30 22:51:05 UTC
Is that 4.6.0-rc5?
Comment 9 arne_woerner 2016-05-01 06:25:01 UTC
i am not sure...
octopi says it is version 4.6rc4-1.
-Arne
Comment 10 Carsten Mattner 2016-05-01 10:25:38 UTC
Same with 4.6-rc5 here on 945GM. Back to 4.1.23 LTS.
Comment 11 arne_woerner 2016-05-01 13:02:13 UTC
what if u try this:
http://ftp.halifax.rwth-aachen.de/manjaro/stable/core/i686/linux46-4.6rc4-1-i686.pkg.tar.xz
(it is the 4.6 kernel from Manjaro...)?
Maybe they applied some useful patches?
-Arne
Comment 12 Jani Nikula 2016-05-02 08:26:28 UTC
Please add drm.debug=14 module parameter, and attach dmesg all the way from boot to the problems running v4.6-rc5 or later.

What are the symptoms that prevent you from using the driver, surely not just the errors in the dmesg?
Comment 13 Michal Nowak 2016-07-02 15:14:22 UTC
Similar bug: https://bugs.freedesktop.org/show_bug.cgi?id=96783.
Comment 14 Jari Tahvanainen 2017-02-10 11:42:58 UTC
Carsten and Arne - is bug still valid for the latest drm-tip kernel?
Comment 15 Jari Tahvanainen 2017-04-24 13:40:37 UTC
Timeout - marking resolved+worksforme. Please reopen this if problem still persist with the latest kernel (preferable from drm-tip).


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.